Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
tagIEVENTSINKOBJ Struct Reference

## Data Fields
IEventSinkVtbl * | lpVtbl
DWORD | m_cRef
IID | m_iid
int | m_event_id
ITypeInfo * | pTypeInfo

## Detailed Description

Definition at line 195 of file win32ole.c.

## Field Documentation

IEventSinkVtbl* tagIEVENTSINKOBJ::lpVtbl

Definition at line 196 of file win32ole.c.

Referenced by EVENTSINK_Constructor().

DWORD tagIEVENTSINKOBJ::m_cRef

Definition at line 197 of file win32ole.c.

Referenced by EVENTSINK_AddRef(), EVENTSINK_Constructor(), and STDMETHODIMP_().

int tagIEVENTSINKOBJ::m_event_id

Definition at line 199 of file win32ole.c.

Referenced by ev_advise(), EVENTSINK_Constructor(), and EVENTSINK_Invoke().

IID tagIEVENTSINKOBJ::m_iid

Definition at line 198 of file win32ole.c.

Referenced by ev_advise().

ITypeInfo* tagIEVENTSINKOBJ::pTypeInfo

Definition at line 200 of file win32ole.c.

Referenced by ev_advise(), EVENTSINK_Constructor(), EVENTSINK_Destructor(), EVENTSINK_GetIDsOfNames(), and EVENTSINK_Invoke().

The documentation for this struct was generated from the following file:

- ext/win32ole/win32ole.c